ckermit (302-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add B-D: zlib1g-dev (Closes: #851007).

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 12 Jan 2017 13:18:27 +0500

ckermit (302-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly build with libssl1.0-dev (Closes: #828266).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 03 Dec 2016 03:17:37 +0500

ckermit (302-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not use SSLv3 protocol functions (Closes: #804463).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 19 Apr 2016 23:14:43 +0200

ckermit (302-5) unstable; urgency=low

  * Fix FTBFS: botched modification of YunQiang Su's
    perfectly good patch.

 -- Ian Beckwith <ianb@debian.org>  Thu, 23 Jan 2014 22:09:43 +0000

ckermit (302-4) unstable; urgency=low

  * Fix FTBFS. Thanks to YunQiang Su for the patch (Closes: #713603).
  * Standards-Version: 3.9.5.
  * Add Vcs- fields.
  * Remove unused overrides.

 -- Ian Beckwith <ianb@debian.org>  Thu, 23 Jan 2014 03:51:04 +0000

ckermit (302-3) unstable; urgency=low

  * Fix Hurd FTBFS: (Closes: #674444)
    + 020_fix_ptys.patch: define _XOPEN_SOURCE to 500.
    + rules: don't define HAVE_PTMX on hurd.
    Thanks to Svante Signell.

 -- Ian Beckwith <ianb@debian.org>  Sat, 26 May 2012 01:18:43 +0100

ckermit (302-2) unstable; urgency=low

  * DES support is disabled as libdes425 has been removed.
  * Fix FTBFS on hurd-i386 (Closes: #671892)
    Thanks to Svante Signell.
  * New patch: 020_fix_ptys: pull in ptsname() prototype.
    Thanks to Mark Wooding (Closes: #660066).
  * New patch: 030_fix_dialmessage: fix \v(dialmessage) when dialsta
    is unset. Further thanks to Mark Wooding (Closes: #660276).
  * New patch: 040_fix_types: fix inconsistent type declarations that can
    cause a bus error on some platforms. Patch from Edward Berner,
    via upstream.
  * New patch: 900_ck_patch: set ck_patch as we have modified source.
  * Fix pending l10n issues. Debconf translations:
    + Dutch; (Thanks to Jeroen Schot).  Closes: #660843
    + Polish (Thanks to Michał Kułach).  Closes: #670771
    + and thanks to Christian Perrier for his usual sterling l10n work.
  * Add openssl to Build-Depends so openssl binary is available to makefile.
  * Add hardening flags.
  * Update Homepage: to new kermitproject.org site (Closes: #666516).
    Thanks to Anders Andersson.
  * Standards-Version: 3.9.3 (no changes).
  * Remove obsolete lintian overrides.

 -- Ian Beckwith <ianb@debian.org>  Sat, 19 May 2012 10:20:52 +0100

ckermit (302-1) unstable; urgency=low

  * New upstream version.
  * 01_search-usr-lib-for-libk5crypto.patch:
    + Update to properly find multiarch library paths (Closes: #639747).
      Based on patch from Ubuntu, thanks to Daniel T Chen.
    + Add dep3 header.
  * debian/copyright:
    + Change Source: to point to new kermitproject.org site.
    + Update DEP5 Format: URL.

 -- Ian Beckwith <ianb@debian.org>  Sun, 29 Jan 2012 02:24:28 +0000

ckermit (301-2) unstable; urgency=low

  * Fix FTBFS:
    + patch makefile with new patch
      01_search-usr-lib-for-libk5crypto.patch.
    + kfreebsd: add -DSELECT.
  * Remove XS-Autobuild: yes, not needed now we are in main.

 -- Ian Beckwith <ianb@debian.org>  Wed, 20 Jul 2011 01:53:47 +0100

ckermit (301-1) unstable; urgency=low

  * New upstream release (Closes: #633156).
  * Moved to main, ckermit is now DFSG-free!.
  * Updated copyright, kermit is now under a BSD-like license.
  * Being in main means we can finally enable crypto. This enables
    us to close a 10 year old bug! (Closes: #95135).
    + use make target linux+krb5+openssl.
    + add ssl-dev and libkrb5-dev to Build-Depends.
  * Removed socks support because:
    + libsocks4 doesn't support socks5, and is orphaned.
    + socks support causes problems with avahi.
    + you can get the same functionality with 'tsocks kermit'.
  * Removed all patches from debian/patches, all taken upstream.
  * Compile with -O1: -O2 is not supported and causes segfaults
    with iksd + kerberos.
  * debian/rules: use dh minimal rules file.
  * Bump debhelper build depends to (>= 7.0.50~) for dh override support.
  * Update PAM config, now just includes common-auth, common-account
    and common-session.
  * Propitiate lintian:
    + remove ./ from override paths.
    + add override unusual-interpreter #!/usr/bin/kermit.
    + add spelling override. 'IF WRITEABLE' is a valid kermit
      command, so we are stuck with that spelling.
    + drop leading 'a' from Description.
    + debian/watch: remove dh-make boilerplate.
    + Standards-Version: 3.9.2 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Tue, 12 Jul 2011 02:48:17 +0100

ckermit (211-15) unstable; urgency=low

  * Add Italian translation. Thanks to Luca Bruno. (Closes: #602240).
  * Standards-Version: 3.9.1 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Mon, 08 Nov 2010 20:49:06 +0000

ckermit (211-14) unstable; urgency=low

  * Switch to 3.0 (quilt) source format:
    + Add debian/source/format.
    + Remove quilt from debian/rules.
    + Remove quilt from Build-Depends.
    + Remove debian/README.source.
  * 060_speeling.patch: fix more spelling errors.
  * Add lintian overrides for spelling false-positives.
  * Update maintainer email address.
  * Remove DM-Upload-Allowed flag.
  * Debhelper compat level 7.
  * Standards-Version: 3.8.4 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Wed, 12 May 2010 02:15:29 +0100

ckermit (211-13) unstable; urgency=low

  * Weaken inetd Depends: to Recommends (Closes: #511564).
  * postinst: if IKSD requested, complain if no inetd installed.
  * templates: new template ckermit/iksd-no-inetd.
  * Translations:
    + New:
      * Finnish, thanks to Esko Arajärvi (Closes: #518197).
      * Spanish, thanks to Francisco Javier Cuadrado (Closes: #518914).
    + Updated:
      * Czech, thanks to Martin Šín (Closes: #517357).
      * German, thanks to Matthias Julius & Andre Gorgus (Closes: #517855).
      * Galician, thanks to Marce Villarino (Closes: #517516).
      * Japanese, thanks to Hideki Yamane (Closes: #517648).
      * Swedish, thanks to Martin Bagge (Closes: #518327).
      * French, thanks to Florentin Duneau (Closes: #518576).
      * Russian, thanks to Yuri Kozlov (Closes: #518702).
      * Portuguese, thanks to Américo Monteiro (Closes: #519004).
      * Danish, thanks to Jacob Sparre Andersen.
  * Fix typos, unfuzzy translations. Thanks to Esko Arajärvi.
  * Mark 'dpkg-reconfigure ckermit' non-translatable. Thanks to Jacob
    Sparre Andersen.
  * Standards-Version: 3.8.1 (no changes).

 -- Ian Beckwith <ianb@erislabs.net>  Sun, 15 Mar 2009 00:26:29 +0000

ckermit (211-12) unstable; urgency=low

  * Add debian/README.source pointing to quilt docs.
  * debian/copyright: note that ckermit is non-free and not part of
    Debian, and explain why.
  * control: add Homepage: field.
  * postinst, postrm, config: switch from /bin/sh -e to set -e.
  * Standards-version: 3.8.0.
  * New patch 06_speeling: fix spelling errors.
  * 05_ck_patch: bump ck_patch value.

 -- Ian Beckwith <ianb@erislabs.net>  Thu, 26 Feb 2009 22:31:09 +0000

ckermit (211-11) unstable; urgency=low

  * New Russian debconf translation (Closes: #511935)
    Thanks to Yuri Kozlov.

 -- Ian Beckwith <ianb@erislabs.net>  Sun, 18 Jan 2009 06:47:05 +0000

ckermit (211-10) unstable; urgency=low

  * Add DM-Upload-Allowed: yes.
  * Switch to linking with libsocks4 as libsocksd is no longer in testing.
  * Split up source patches and apply them at build time with quilt.
  * Remove nostrip handling, dh_strip does it for us.
  * Bump debhelper compat level to 6.

 -- Ian Beckwith <ianb@erislabs.net>  Wed, 16 Jan 2008 11:36:09 +0000

ckermit (211-9) unstable; urgency=low

  * Fix iksd user information disclosure when PAM is used (Closes: #417247).
  * Update maintainer email address.
  * Bump ck_patch to 2.
  * Fix menu section.
  * Stop ignoring return code of 'make clean'.
  * Cut out unneeeded linkage: added "-Wl,-z,defs -Wl,--as-needed" to LNKFLAGS
  * Bump Standards-Version to 3.7.3

 -- Ian Beckwith <ianb@erislabs.net>  Thu, 13 Dec 2007 20:49:55 +0000

ckermit (211-8) unstable; urgency=low

  * Change netbase dependency to openbsd-inetd | inet-superserver.
  * Tweak debconf templates to keep lintian happy.
  * Bumped debconf compatability level to 5.
  * Tidied debian/rules.

 -- Ian Beckwith <ianb@nessie.mcc.ac.uk>  Sat, 09 Jun 2007 23:12:49 +0100

ckermit (211-7) unstable; urgency=low

  * New debconf translations:
    + German - thanks to Matthias Julius.  (Closes: #408586).
    + Portuguese - thanks to Ricardo Silva (Closes: #413748).
    + Galician - thanks to Jacobo Tarrio   (Closes: #413757).
  * debian/control:
    + Updated Standards-Version (no changes).
    + Added XS-Autobuild: yes.

 -- Ian Beckwith <ianb@nessie.mcc.ac.uk>  Thu,  8 Mar 2007 05:09:34 +0000

ckermit (211-6) unstable; urgency=low

  * Applied fix to IF tests from ckdaily snapshot (Closes: #323510).
  * Set ck_patch to "1" per discussion with upstream.
  * New debconf translations:
    + Czech - thanks to Martin Sín (Closes: #319577).
    + Swedish - thanks to Daniel Nylander (Closes: #330429).
  * debian/control:
    + Added ${misc:Depends} to pick up right debconf dependency (Closes: #331779).
    + Added dependency on netbase.
    + Standards-Version: 3.6.2 (No changes).
    + Updated Recommends to openssh-client | ssh-client
  * debian/postrm: removed bashism.
  * debian/copyright: added note from upstream about autobuilding.

 -- Ian Beckwith <ianb@nessie.mcc.ac.uk>  Sat, 22 Oct 2005 20:43:57 +0100

ckermit (211-5) unstable; urgency=low

  * New translations:
    + French - Thanks to Olivier Trichet (Closes: #260090)
    + Danish - Thanks to Morten Brix Pederson (Closes: #268368)
    + Japanese - Thanks to Hideki Yamane (Closes: #270927)

 -- Ian Beckwith <ianb@nessie.mcc.ac.uk>  Wed, 23 Feb 2005 15:16:11 +0000

ckermit (211-4) unstable; urgency=low

  * Temporarily removed crypto (kerberos and SSL)
  until the non-US/non-free issue is resolved, so we
  don't miss sarge.
  * debian/control:
    + Section: reverted to non-free/comm.
    + Build-Depends: removed kerberos and openssl.

 -- Ian Beckwith <ianb@nessie.mcc.ac.uk>  Tue, 29 Jun 2004 14:22:41 +0100

ckermit (211-3) unstable; urgency=low

  * Included minor changes upstream sneaked in without bumping
  the version number. As previous 211- versions haven't made it into
  debian, there should be no problems with the .orig.tar.gz changing.
  * debian/rules: clean target now deletes wermit, as upstream makefile
  no longer does.

 -- Ian Beckwith <ianb@nessie.mcc.ac.uk>  Sat, 26 Jun 2004 17:09:46 +0100

ckermit (211-2) unstable; urgency=low

  * Uploaded to non-US/non-free instead of non-free as crypto options now enabled.
  * Fixes for new lintian warnings:
    + iksd man page link moved to section 8.
    + Converted - in kermit man page to \- or \(hy as appropriate.

 -- Ian Beckwith <ianb@nessie.mcc.ac.uk>  Tue,  4 May 2004 06:40:09 +0100

ckermit (211-1) unstable; urgency=low

  * New Maintainer (Closes: #143649).
  * New upstream version (Closes: #58634).
  * Ack NMU (Closes: #54901).
  * Add -DTIMEH to KFLAGS, replacing NMU patch (Closes: #91281).
  * Sorted out docs dir (Closes: #229309).
  * errno problem should be fixed by this recompile (Closes: #222096, #228728).
  * Kerberos 4/5 support with MIT libs (Closes: #95135).
  * Support for Socks4 (libsocksd), openssl, pam, shadow passwds and IKSD.
  * Converted to po-debconf.
  * Added support for /etc/kermit/kermrc (Closes: #123336).
  * Attempt to remove /etc/kermit/ on purge in postrm.
  * debian/control: changed Section: to non-US/non-free

 -- Ian Beckwith <ianb@nessie.mcc.ac.uk>  Wed, 14 Apr 2004 03:17:56 +0100

ckermit (196-1.1) unstable; urgency=low

  * Non-maintainer Upload
  * As part of BSP, fixing RC bug 91281. Added compiler directive to
    sense <time.h>
  * Added Build-Depends forestalling possible RC bugs in future

 -- Gopal Narayanan <gopal@debian.org>  Sat, 14 Apr 2001 00:17:22 +0000

ckermit (196-1) unstable; urgency=low

  * Initial Release.

 -- Vaidhyanathan G Mayilrangam <vaidhy@debian.org>  Tue,  4 Jan 2000 15:22:47 -0500


